petsc-3.10.5 2019-03-28
Report Typos and Errors

# ISBlockGetIndices

Gets the indices associated with each block.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISBlockGetIndices(IS is,const PetscInt *idx[])

Not Collective

### Input Parameter

is -the index set

### Output Parameter

idx -the integer indices, one for each block and count of block not indices

### See Also

ISGetIndices(), ISBlockRestoreIndices()

### Level

intermediate

### Location

src/vec/is/is/impls/block/block.c

### Examples

src/vec/is/is/examples/tutorials/ex3.c.html

### Implementations

ISBlockGetIndices_Block in src/vec/is/is/impls/block/block.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages